<script setup>
import { useAppStore } from '@/stores/AppStore'
</script>


<script>
export default {

	data() {
		const appStore = useAppStore()
		return {
			appStore,
			csrf: document.querySelector('meta[name="csrf-token"]').getAttribute('content'),
			name: appStore.member ? appStore.member.name : '',
		}
	},

	watch: {
		'appStore.member'(current, old) {
			this.name = current.name
		}
	},

	methods: {
	},

	i18n: {
		messages: {
			en: {
				title: "Change Name",
				name: "Current Name",
				ok: "Change Name",
			},
			th: {
				title: "เปลี่ยนชื่อ",
				name: "ชื่อปัจจุบัน",
				ok: "เปลี่ยนชื่อ",
			},
		},
	},
}
</script>


<template>
	<AppBox :title="$t('title')">
		<form id="form" method="post" action="/profile/change-name">
			<input type="hidden" name="_token" :value="csrf" />

			<label for="name">{{ $t('name') }}</label><br />
			<input id="name" name="name" :placeholder="$t('name')" required v-model="name" /><br />
			<br />

			<button type="submit">{{ $t('ok') }}</button>
		</form>
	</AppBox>
</template>


<style scoped>

</style>
